> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Chat Completions

> Chat completions.

This endpoint can be used to get realtime chat completions. It can also be used
with the Task API processors to get structured, research outputs via a chat
interface.



## OpenAPI

````yaml openapi/zh/parallel.ai.json POST /apis/v1/parallel/chat/completions
openapi: 3.1.0
info:
  description: ''
  title: Parallel.ai
  version: '1'
  x-aisa-capabilities:
    idempotency: Idempotency-Key
    max_price: X-AISA-Max-Price-USD
    quote:
      header: X-AISA-Cost-Mode
      value: quote
  x-aisa-configured-paths:
    - /apis/v1/parallel/chat/completions
    - /apis/v1/parallel/extract
    - /apis/v1/parallel/findall/ingest
    - /apis/v1/parallel/findall/runs/{findall_id}
    - /apis/v1/parallel/findall/runs/{findall_id}/cancel
    - /apis/v1/parallel/findall/runs/{findall_id}/events
    - /apis/v1/parallel/findall/runs/{findall_id}/result
    - /apis/v1/parallel/findall/runs/{findall_id}/schema
    - /apis/v1/parallel/monitors/{monitor_id}
    - /apis/v1/parallel/monitors/{monitor_id}/cancel
    - /apis/v1/parallel/monitors/{monitor_id}/events
    - /apis/v1/parallel/monitors/{monitor_id}/update
    - /apis/v1/parallel/tasks/groups
    - /apis/v1/parallel/tasks/groups/{taskgroup_id}
    - /apis/v1/parallel/tasks/groups/{taskgroup_id}/events
    - /apis/v1/parallel/tasks/groups/{taskgroup_id}/runs/{run_id}
    - /apis/v1/parallel/tasks/runs/{run_id}
    - /apis/v1/parallel/tasks/runs/{run_id}/events
    - /apis/v1/parallel/tasks/runs/{run_id}/input
    - /apis/v1/parallel/tasks/runs/{run_id}/result
    - /apis/v1/parallel/v1beta/tasks/runs/{run_id}/events
  x-aisa-document:
    facts_hash: 7d3bf2025708131927d3136de215ba314114253046b35f239876910b2481cbd9
    generator_version: '2'
    protocol_version: '1'
    schema_version: '1'
    composer_version: '13'
    response_pending: []
    document_hash: sha256:dae9e982424f710c06d9af023168dd26ed96bf5e5b5232e0728c01867d2da7dc
  x-aisa-plans:
    builder: 1
    display_plan: payg
    payg: 1
    similarweb_payg: 1
    team: 1
    version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
  x-aisa-provider: parallel.ai
  x-aisa-catalogs:
    parallel.ai:
      title: Parallel.ai
      description: ''
      x-aisa-document:
        facts_hash: 7d3bf2025708131927d3136de215ba314114253046b35f239876910b2481cbd9
        generator_version: '2'
        protocol_version: '1'
        schema_version: '1'
      x-aisa-plans:
        builder: 1
        display_plan: payg
        payg: 1
        similarweb_payg: 1
        team: 1
        version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
      x-aisa-capabilities:
        idempotency: Idempotency-Key
        max_price: X-AISA-Max-Price-USD
        quote:
          header: X-AISA-Cost-Mode
          value: quote
servers:
  - url: https://api.aisa.one
security:
  - bearerAuth: []
paths:
  /apis/v1/parallel/chat/completions:
    post:
      tags:
        - default
      summary: Chat Completions
      description: >-
        Chat completions.


        This endpoint can be used to get realtime chat completions. It can also
        be used

        with the Task API processors to get structured, research outputs via a
        chat

        interface.
      operationId: post_parallel_ai_apis_v1_parallel_chat_completions
      requestBody:
        content:
          application/json:
            schema:
              properties:
                model:
                  enum:
                    - base
                    - core
                    - lite
                    - speed
                  type: string
                messages:
                  items: {}
                  minItems: 1
                  type: array
                stream:
                  anyOf:
                    - type: boolean
                    - type: 'null'
                  title: Stream
                  description: Whether to stream the chat completions.
                response_format:
                  anyOf:
                    - properties:
                        type:
                          type: string
                          const: text
                          title: Type
                      type: object
                      required:
                        - type
                      title: ResponseFormatText
                      description: >-
                        Default response format. Used to generate text
                        responses.
                    - properties:
                        json_schema:
                          properties:
                            name:
                              type: string
                              title: Name
                            description:
                              type: string
                              title: Description
                            schema:
                              additionalProperties: false
                              type: object
                              title: Schema
                            strict:
                              anyOf:
                                - type: boolean
                                - type: 'null'
                              title: Strict
                          type: object
                          required:
                            - name
                          title: JSONSchema
                          description: >-
                            Structured Outputs configuration options, including
                            a JSON Schema.
                        type:
                          type: string
                          const: json_schema
                          title: Type
                      type: object
                      required:
                        - json_schema
                        - type
                      title: ResponseFormatJSONSchema
                      description: >-
                        JSON Schema response format.


                        Used to generate structured JSON responses.

                        Learn more about [Structured
                        Outputs](https://platform.openai.com/docs/guides/structured-outputs).
                    - properties:
                        type:
                          type: string
                          const: json_object
                          title: Type
                      type: object
                      required:
                        - type
                      title: ResponseFormatJSONObject
                      description: >-
                        JSON object response format.


                        An older method of generating JSON responses.

                        Using `json_schema` is recommended for models that
                        support it. Note that the

                        model will not generate JSON without a system or user
                        message instructing it

                        to do so.
                    - type: 'null'
                  title: Response Format
                  description: >-
                    The response format to use for chat completions. OpenAI
                    compatible.
                max_tokens:
                  anyOf:
                    - type: integer
                    - type: 'null'
                  title: Max Tokens
                  description: The maximum number of tokens to generate. Unsupported.
                temperature:
                  anyOf:
                    - type: number
                    - type: 'null'
                  title: Temperature
                  description: The temperature to use for chat completions. Unsupported.
                top_p:
                  anyOf:
                    - type: number
                    - type: 'null'
                  title: Top P
                  description: The top p to use for chat completions. Unsupported.
                'n':
                  anyOf:
                    - type: integer
                    - type: 'null'
                  title: 'N'
                  description: The number of chat completions to generate. Unsupported.
                presence_penalty:
                  anyOf:
                    - type: number
                    - type: 'null'
                  title: Presence Penalty
                  description: >-
                    The presence penalty to use for chat completions.
                    Unsupported.
                frequency_penalty:
                  anyOf:
                    - type: number
                    - type: 'null'
                  title: Frequency Penalty
                  description: >-
                    The frequency penalty to use for chat completions.
                    Unsupported.
                previous_interaction_id:
                  anyOf:
                    - type: string
                    - type: 'null'
                  title: Previous Interaction Id
                  description: >-
                    Interaction ID from a previous chat completion to use as
                    context.
              type: object
              title: ChatCompletionRequest
              description: >-
                Request for the chat completions endpoint.


                Note that all parameters except for `model`, `stream`, and
                `response_format`

                are ignored.
              required:
                - messages
                - model
        required: true
      responses:
        '200':
          description: >-
            Returns a ChatCompletion object for non-streaming requests
            (application/json), or a stream of ChatCompletionResponseChunk
            objects for streaming requests (text/event-stream) when
            `stream=true` is set in the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseB67C75A8Feba_ChatCompletion'
            text/event-stream:
              schema:
                $ref: >-
                  #/components/schemas/ResponseB67C75A8Feba_ChatCompletionResponseChunk
        default:
          content:
            application/json:
              schema: {}
          description: >-
            Error response; upstream passthrough responses may use provider
            formats
components:
  schemas:
    ResponseB67C75A8Feba_ChatCompletion:
      properties:
        id:
          type: string
          title: Id
          description: The id of the chat completion.
        choices:
          items:
            $ref: '#/components/schemas/ResponseB67C75A8Feba_Choice'
          type: array
          title: Choices
        created:
          type: integer
          title: Created
        model:
          type: string
          title: Model
        object:
          type: string
          const: chat.completion
          title: Object
        moderation:
          anyOf:
            - $ref: >-
                #/components/schemas/ResponseB67C75A8Feba_openai__types__chat__chat_completion__Moderation
            - type: 'null'
        service_tier:
          anyOf:
            - type: string
              enum:
                - auto
                - default
                - flex
                - scale
                - priority
            - type: 'null'
          title: Service Tier
        system_fingerprint:
          anyOf:
            - type: string
            - type: 'null'
          title: System Fingerprint
        usage:
          anyOf:
            - $ref: '#/components/schemas/ResponseB67C75A8Feba_CompletionUsage'
            - type: 'null'
        basis:
          items:
            $ref: '#/components/schemas/ResponseB67C75A8Feba_FieldBasis'
          type: array
          title: Basis
          description: >-
            Basis for the chat completion, including citations and reasoning
            supporting the output.
          default: []
        interaction_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Interaction Id
          description: >-
            Identifier for this interaction. Pass as previous_interaction_id for
            follow-ups.
      additionalProperties: true
      type: object
      required:
        - id
        - choices
        - created
        - model
        - object
      title: ChatCompletion
      description: Chat completion response.
    ResponseB67C75A8Feba_ChatCompletionResponseChunk:
      additionalProperties: true
      description: Chat completion response chunk.
      properties:
        id:
          description: The id of the chat completion response chunk.
          title: Id
          type: string
        choices:
          items:
            $ref: '#/components/schemas/ResponseB67C75A8Feba_Choice'
          type: array
          title: Choices
        created:
          type: integer
          title: Created
        model:
          type: string
          title: Model
        object:
          const: chat.completion.chunk
          title: Object
          type: string
        moderation:
          anyOf:
            - $ref: '#/components/schemas/ResponseB67C75A8Feba_Moderation'
            - type: 'null'
          default: null
        service_tier:
          anyOf:
            - type: string
              enum:
                - auto
                - default
                - flex
                - scale
                - priority
            - type: 'null'
          default: null
          title: Service Tier
        system_fingerprint:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: System Fingerprint
        usage:
          anyOf:
            - $ref: '#/components/schemas/ResponseB67C75A8Feba_CompletionUsage'
            - type: 'null'
          default: null
        type:
          const: chat.completion.chunk
          description: >-
            The type of the chat completion chunk. Always
            `chat.completion.chunk`.
          title: Type
          type: string
        basis:
          default: []
          description: >-
            Basis for the chat completion chunk, including citations and
            reasoning supporting the output.
          items:
            $ref: '#/components/schemas/ResponseB67C75A8Feba_FieldBasis'
          title: Basis
          type: array
        interaction_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: >-
            Identifier for this interaction. Pass as previous_interaction_id for
            follow-ups.
          title: Interaction Id
      required:
        - id
        - choices
        - created
        - model
        - object
        - type
      title: ChatCompletionResponseChunk
      type: object
    ResponseB67C75A8Feba_Choice:
      additionalProperties: true
      properties:
        delta:
          $ref: '#/components/schemas/ResponseB67C75A8Feba_ChoiceDelta'
        finish_reason:
          anyOf:
            - enum:
                - stop
                - length
                - tool_calls
                - content_filter
                - function_call
              type: string
            - type: 'null'
          default: null
          title: Finish Reason
        index:
          title: Index
          type: integer
        logprobs:
          anyOf:
            - $ref: '#/components/schemas/ResponseB67C75A8Feba_ChoiceLogprobs'
            - type: 'null'
          default: null
      required:
        - delta
        - index
      title: Choice
      type: object
    ResponseB67C75A8Feba_openai__types__chat__chat_completion__Moderation:
      properties:
        input:
          anyOf:
            - $ref: >-
                #/components/schemas/ResponseB67C75A8Feba_ModerationInputModerationResults
            - $ref: >-
                #/components/schemas/ResponseB67C75A8Feba_openai__types__chat__chat_completion__ModerationInputError
          title: Input
        output:
          anyOf:
            - $ref: >-
                #/components/schemas/ResponseB67C75A8Feba_ModerationOutputModerationResults
            - $ref: >-
                #/components/schemas/ResponseB67C75A8Feba_openai__types__chat__chat_completion__ModerationOutputError
          title: Output
      additionalProperties: true
      type: object
      required:
        - input
        - output
      title: Moderation
      description: >-
        Moderation results for the request input and generated output, if
        moderated

        completions were requested.
    ResponseB67C75A8Feba_CompletionUsage:
      additionalProperties: true
      description: Usage statistics for the completion request.
      properties:
        completion_tokens:
          title: Completion Tokens
          type: integer
        prompt_tokens:
          title: Prompt Tokens
          type: integer
        total_tokens:
          title: Total Tokens
          type: integer
        completion_tokens_details:
          anyOf:
            - $ref: >-
                #/components/schemas/ResponseB67C75A8Feba_CompletionTokensDetails
            - type: 'null'
          default: null
        prompt_tokens_details:
          anyOf:
            - $ref: '#/components/schemas/ResponseB67C75A8Feba_PromptTokensDetails'
            - type: 'null'
          default: null
      required:
        - completion_tokens
        - prompt_tokens
        - total_tokens
      title: CompletionUsage
      type: object
    ResponseB67C75A8Feba_FieldBasis:
      description: Citations and reasoning supporting one field of a task output.
      properties:
        field:
          description: Name of the output field.
          title: Field
          type: string
        citations:
          default: []
          description: List of citations supporting the output field.
          items:
            $ref: '#/components/schemas/ResponseB67C75A8Feba_Citation'
          title: Citations
          type: array
        reasoning:
          description: Reasoning for the output field.
          title: Reasoning
          type: string
        confidence:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: >-
            Confidence level for the output field. Only certain processors
            provide confidence levels.
          examples:
            - low
            - medium
            - high
          title: Confidence
      required:
        - field
        - reasoning
      title: FieldBasis
      type: object
    ResponseB67C75A8Feba_Moderation:
      additionalProperties: true
      description: >-
        Moderation results for the response input and output, if moderated
        completions were requested.
      properties:
        input:
          anyOf:
            - $ref: >-
                #/components/schemas/ResponseB67C75A8Feba_ModerationInputModerationResult
            - $ref: '#/components/schemas/ResponseB67C75A8Feba_ModerationInputError'
          title: Input
        output:
          anyOf:
            - $ref: >-
                #/components/schemas/ResponseB67C75A8Feba_ModerationOutputModerationResult
            - $ref: '#/components/schemas/ResponseB67C75A8Feba_ModerationOutputError'
          title: Output
      required:
        - input
        - output
      title: Moderation
      type: object
    ResponseB67C75A8Feba_ChoiceDelta:
      additionalProperties: true
      description: A chat completion delta generated by streamed model responses.
      properties:
        content:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Content
        function_call:
          anyOf:
            - $ref: >-
                #/components/schemas/ResponseB67C75A8Feba_ChoiceDeltaFunctionCall
            - type: 'null'
          default: null
        refusal:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Refusal
        role:
          anyOf:
            - enum:
                - developer
                - system
                - user
                - assistant
                - tool
              type: string
            - type: 'null'
          default: null
          title: Role
        tool_calls:
          anyOf:
            - items:
                $ref: '#/components/schemas/ResponseB67C75A8Feba_ChoiceDeltaToolCall'
              type: array
            - type: 'null'
          default: null
          title: Tool Calls
      title: ChoiceDelta
      type: object
    ResponseB67C75A8Feba_ChoiceLogprobs:
      additionalProperties: true
      description: Log probability information for the choice.
      properties:
        content:
          anyOf:
            - items:
                $ref: >-
                  #/components/schemas/ResponseB67C75A8Feba_ChatCompletionTokenLogprob
              type: array
            - type: 'null'
          default: null
          title: Content
        refusal:
          anyOf:
            - items:
                $ref: >-
                  #/components/schemas/ResponseB67C75A8Feba_ChatCompletionTokenLogprob
              type: array
            - type: 'null'
          default: null
          title: Refusal
      title: ChoiceLogprobs
      type: object
    ResponseB67C75A8Feba_ModerationInputModerationResults:
      additionalProperties: true
      description: Successful moderation results for the request input or generated output.
      properties:
        model:
          type: string
          title: Model
        results:
          items:
            $ref: >-
              #/components/schemas/ResponseB67C75A8Feba_ModerationInputModerationResultsResult
          title: Results
          type: array
        type:
          const: moderation_results
          title: Type
          type: string
      required:
        - model
        - results
        - type
      title: ModerationInputModerationResults
      type: object
    ResponseB67C75A8Feba_openai__types__chat__chat_completion__ModerationInputError:
      properties:
        code:
          type: string
          title: Code
        message:
          type: string
          title: Message
        type:
          type: string
          const: error
          title: Type
      additionalProperties: true
      type: object
      required:
        - code
        - message
        - type
      title: ModerationInputError
      description: An error produced while attempting moderation.
    ResponseB67C75A8Feba_ModerationOutputModerationResults:
      additionalProperties: true
      description: Successful moderation results for the request input or generated output.
      properties:
        model:
          type: string
          title: Model
        results:
          items:
            $ref: >-
              #/components/schemas/ResponseB67C75A8Feba_ModerationOutputModerationResultsResult
          title: Results
          type: array
        type:
          const: moderation_results
          title: Type
          type: string
      required:
        - model
        - results
        - type
      title: ModerationOutputModerationResults
      type: object
    ResponseB67C75A8Feba_openai__types__chat__chat_completion__ModerationOutputError:
      properties:
        code:
          type: string
          title: Code
        message:
          type: string
          title: Message
        type:
          type: string
          const: error
          title: Type
      additionalProperties: true
      type: object
      required:
        - code
        - message
        - type
      title: ModerationOutputError
      description: An error produced while attempting moderation.
    ResponseB67C75A8Feba_CompletionTokensDetails:
      additionalProperties: true
      description: Breakdown of tokens used in a completion.
      properties:
        accepted_prediction_tokens:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          title: Accepted Prediction Tokens
        audio_tokens:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          title: Audio Tokens
        reasoning_tokens:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          title: Reasoning Tokens
        rejected_prediction_tokens:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          title: Rejected Prediction Tokens
      title: CompletionTokensDetails
      type: object
    ResponseB67C75A8Feba_PromptTokensDetails:
      additionalProperties: true
      description: Breakdown of tokens used in the prompt.
      properties:
        audio_tokens:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          title: Audio Tokens
        cached_tokens:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          title: Cached Tokens
      title: PromptTokensDetails
      type: object
    ResponseB67C75A8Feba_Citation:
      description: A citation for a task output.
      properties:
        title:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Title of the citation.
          title: Title
        url:
          description: URL of the citation.
          title: Url
          type: string
        excerpts:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          default: null
          description: >-
            Excerpts from the citation supporting the output. Only certain
            processors provide excerpts.
          title: Excerpts
      required:
        - url
      title: Citation
      type: object
    ResponseB67C75A8Feba_ModerationInputModerationResult:
      additionalProperties: true
      description: A moderation result produced for the response input or output.
      properties:
        categories:
          additionalProperties:
            type: boolean
          title: Categories
          type: object
        category_applied_input_types:
          additionalProperties:
            items:
              enum:
                - text
                - image
              type: string
            type: array
          title: Category Applied Input Types
          type: object
        category_scores:
          additionalProperties:
            type: number
          title: Category Scores
          type: object
        flagged:
          title: Flagged
          type: boolean
        model:
          type: string
          title: Model
        type:
          const: moderation_result
          title: Type
          type: string
      required:
        - categories
        - category_applied_input_types
        - category_scores
        - flagged
        - model
        - type
      title: ModerationInputModerationResult
      type: object
    ResponseB67C75A8Feba_ModerationInputError:
      additionalProperties: true
      description: >-
        An error produced while attempting moderation for the response input or
        output.
      properties:
        code:
          type: string
          title: Code
        message:
          type: string
          title: Message
        type:
          type: string
          const: error
          title: Type
      required:
        - code
        - message
        - type
      title: ModerationInputError
      type: object
    ResponseB67C75A8Feba_ModerationOutputModerationResult:
      additionalProperties: true
      description: A moderation result produced for the response input or output.
      properties:
        categories:
          additionalProperties:
            type: boolean
          title: Categories
          type: object
        category_applied_input_types:
          additionalProperties:
            items:
              enum:
                - text
                - image
              type: string
            type: array
          title: Category Applied Input Types
          type: object
        category_scores:
          additionalProperties:
            type: number
          title: Category Scores
          type: object
        flagged:
          title: Flagged
          type: boolean
        model:
          type: string
          title: Model
        type:
          const: moderation_result
          title: Type
          type: string
      required:
        - categories
        - category_applied_input_types
        - category_scores
        - flagged
        - model
        - type
      title: ModerationOutputModerationResult
      type: object
    ResponseB67C75A8Feba_ModerationOutputError:
      additionalProperties: true
      description: >-
        An error produced while attempting moderation for the response input or
        output.
      properties:
        code:
          type: string
          title: Code
        message:
          type: string
          title: Message
        type:
          type: string
          const: error
          title: Type
      required:
        - code
        - message
        - type
      title: ModerationOutputError
      type: object
    ResponseB67C75A8Feba_ChoiceDeltaFunctionCall:
      additionalProperties: true
      description: >-
        Deprecated and replaced by `tool_calls`.


        The name and arguments of a function that should be called, as generated
        by the model.
      properties:
        arguments:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Arguments
        name:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Name
      title: ChoiceDeltaFunctionCall
      type: object
    ResponseB67C75A8Feba_ChoiceDeltaToolCall:
      additionalProperties: true
      properties:
        index:
          title: Index
          type: integer
        id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Id
        function:
          anyOf:
            - $ref: >-
                #/components/schemas/ResponseB67C75A8Feba_ChoiceDeltaToolCallFunction
            - type: 'null'
          default: null
        type:
          anyOf:
            - const: function
              type: string
            - type: 'null'
          default: null
          title: Type
      required:
        - index
      title: ChoiceDeltaToolCall
      type: object
    ResponseB67C75A8Feba_ChatCompletionTokenLogprob:
      additionalProperties: true
      properties:
        token:
          title: Token
          type: string
        bytes:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          default: null
          title: Bytes
        logprob:
          title: Logprob
          type: number
        top_logprobs:
          items:
            $ref: '#/components/schemas/ResponseB67C75A8Feba_TopLogprob'
          title: Top Logprobs
          type: array
      required:
        - token
        - logprob
        - top_logprobs
      title: ChatCompletionTokenLogprob
      type: object
    ResponseB67C75A8Feba_ModerationInputModerationResultsResult:
      additionalProperties: true
      description: A moderation result produced for the response input or output.
      properties:
        categories:
          additionalProperties:
            type: boolean
          title: Categories
          type: object
        category_applied_input_types:
          additionalProperties:
            items:
              enum:
                - text
                - image
              type: string
            type: array
          title: Category Applied Input Types
          type: object
        category_scores:
          additionalProperties:
            type: number
          title: Category Scores
          type: object
        flagged:
          title: Flagged
          type: boolean
        model:
          type: string
          title: Model
        type:
          const: moderation_result
          title: Type
          type: string
      required:
        - categories
        - category_applied_input_types
        - category_scores
        - flagged
        - model
        - type
      title: ModerationInputModerationResultsResult
      type: object
    ResponseB67C75A8Feba_ModerationOutputModerationResultsResult:
      additionalProperties: true
      description: A moderation result produced for the response input or output.
      properties:
        categories:
          additionalProperties:
            type: boolean
          title: Categories
          type: object
        category_applied_input_types:
          additionalProperties:
            items:
              enum:
                - text
                - image
              type: string
            type: array
          title: Category Applied Input Types
          type: object
        category_scores:
          additionalProperties:
            type: number
          title: Category Scores
          type: object
        flagged:
          title: Flagged
          type: boolean
        model:
          type: string
          title: Model
        type:
          const: moderation_result
          title: Type
          type: string
      required:
        - categories
        - category_applied_input_types
        - category_scores
        - flagged
        - model
        - type
      title: ModerationOutputModerationResultsResult
      type: object
    ResponseB67C75A8Feba_ChoiceDeltaToolCallFunction:
      additionalProperties: true
      properties:
        arguments:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Arguments
        name:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Name
      title: ChoiceDeltaToolCallFunction
      type: object
    ResponseB67C75A8Feba_TopLogprob:
      additionalProperties: true
      properties:
        token:
          title: Token
          type: string
        bytes:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          default: null
          title: Bytes
        logprob:
          title: Logprob
          type: number
      required:
        - token
        - logprob
      title: TopLogprob
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.